package com.mdd.admin.validate.commons;

import com.mdd.common.validator.annotation.IDMust;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("ID参数")
public class IdValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @IDMust(
      message = "id参数必传且需大于0"
   )
   @ApiModelProperty(
      value = "ID",
      required = true
   )
   private Integer id;

   public Integer getId() {
      return this.id;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof IdValidate)) {
         return false;
      } else {
         IdValidate other = (IdValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IdValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      return result;
   }

   public String toString() {
      return "IdValidate(id=" + this.getId() + ")";
   }
}
